Bug 56071 - mkinitrd should pick up the options field from /etc/fstab
Summary: mkinitrd should pick up the options field from /etc/fstab
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd   
(Show other bugs)
Version: 7.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-12 15:05 UTC by Chris Adams
Modified: 2007-04-18 16:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-16 12:05:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to make mkinitrd recognise and honour options for root fs in fstab (816 bytes, patch)
2002-05-16 11:59 UTC, Martijn
no flags Details | Diff

Description Chris Adams 2001-11-12 15:05:58 UTC
It would be nice if mkinitrd could pick up the options field from
/etc/fstab.  This would allow easy setting of journal type for ext3 for
example.

Comment 1 William Hester 2002-01-28 23:19:01 UTC
After considering bug #55495 ( http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=55495 ) ,
it seems that a root ext3fs will always be mounted with data=ordered and cannot currently be changed with a remount.
This is rather anoying for people who would rather see it mounted data=journal or data=writeback.

Comment 2 Chris Adams 2002-01-29 02:39:45 UTC
I know that the journaling mode can't be changed with a -remount option.

However, the root filesystem is mounted from an initial ramdisk (not the
kernel) if it is an ext3 filesystem.  If the scripts that build the
initrd looked in /etc/fstab, they could pick up the journaling mode and
pass those options to the mount command used to mount the root
filesystem.  That way, changing the journaling mode of the root
filesystem would require editing /etc/fstab and re-running mkinitrd.

Comment 3 Martijn 2002-05-16 11:59:32 UTC
Created attachment 57564 [details]
patch to make mkinitrd recognise and honour options for root fs in fstab

Comment 4 Martijn 2002-05-16 12:05:19 UTC
This patch is against mkinitrd-3.2.6-1 . It changes mkinitrd to include a -o 
argument for the mount statement if there are options for the root filesystem 
in fstab.

Comment 5 Erik Troan 2002-05-21 21:08:55 UTC
Patch wouldn't work (nash didn't support mount options!), but the idea is
now implemented in mkinitrd-3.3.11

Comment 6 Martijn 2002-06-04 08:49:34 UTC
I can confirm that this works with mkinitrd-3.4.2-1 . Thanks!

Comment 7 John Newbigin 2002-10-16 10:07:04 UTC
Where can I find a fixed version of mkinitrd which works with RedHat 7.2?
mkinitrd-3.4.2-1 appears to be gone and mkinitrd-3.4.28-1 which appears to be
the latest I can't get to work with RH7.2.


Note You need to log in before you can comment on or make changes to this bug.